﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_StudLeave
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="~/Scripts/PreventDouble.js"></script>
    <script src="~/Scripts/AutoComplete-Ui.min.js"></script>
    <link href="@Url.Content("../assets/plugins/select2/select2_metro.css")" rel="stylesheet" type="text/css" />
  <script type="text/javascript">
        $(document).ready(function () {
            $("#FromDate").datepicker();
            $("#ToDate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/TbStudLeave/Index";
            });
            $("#showdetail").hide();
            $('.ui-autocomplete-input').val('');
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');

        });
        $(function () {

            $("#combobox").combobox({

                selected: function (event, ui) {
                    $("#showdetail").show();
                    var id = $(this).val();
                    $("#showdetail").attr('href', '/MaAdmission/Details/' + id);
                }
            });

        });


    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Student Leave
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table width="550px">
                                <tr>
                                    <td width="150px">
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.AdmissionId, "Student Name")
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="ui-widget">
                                        <table width="100%">
                                            <tr>
                                                <td>
                                                    @Html.DropDownList("AdmissionId", null, new { @class = "form-control input-large select2me", @id = "combobox" })
                                                    @Html.ValidationMessageFor(model => model.AdmissionId)
                                                </td>
                                                <td align="right">
                                                    <a href="#" title="View" id="showdetail" target="_blank">View Detail</a>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.FromDate)
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.FromDate)
                                        @Html.ValidationMessageFor(model => model.FromDate)
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.ToDate)
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.ToDate)
                                        @Html.ValidationMessageFor(model => model.ToDate)
                                    </td>
                                </tr>

                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.Remarks)
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextAreaFor(model => model.Remarks)
                                        @Html.ValidationMessageFor(model => model.Remarks)
                                    </td>
                                </tr>
                                @*  <tr>
                                        <td>@Html.LabelFor(model => model.Status)</td>
                                        <td>@Html.CheckBoxFor(model => model.Status, new { @checked = true })
                                            @Html.ValidationMessageFor(model => model.Status)</td>
                                    </tr>*@
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.UserId)
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @{
                                            SSCWebDBEntities1 db = new SSCWebDBEntities1();
                                            int Userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);

                                            string username = db.Users.Where(z => z.Id == Userid).Select(z => z.Fullname).First();
                                        }
                                        @username
                                    </td>
                                </tr>
                            </table>
                    </div>
                </div>
                <div id="editDialog" title="Add Enquiry Follow Up" style="width: 556px">
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>
            </footer>
        </div>
    </div>

                                            }